Bug 110266 - renice reports "priority" instead of "nice" value
Summary: renice reports "priority" instead of "nice" value
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: util-linux   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-17 18:26 UTC by Peter Bieringer
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-17 19:43:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter Bieringer 2003-11-17 18:26:53 UTC
Description of problem:
renice reports changing of "priority" instead of "nice" value.


Version-Release number of selected component (if applicable):
coreutils-5.0-24

How reproducible:
Always

Steps to Reproduce:
  PID USER     PRI  NI  SIZE  RSS SHARE STAT %CPU %MEM   TIME CPU COMMAND
10547 peter      5 -10  117M 117M  117M S <  99.9 11.6   6:03   0
vmware-vmx

$ renice  +1 10547
10547: old priority 1, new priority 1

  PID USER     PRI  NI  SIZE  RSS SHARE STAT %CPU %MEM   TIME CPU COMMAND
10547 peter     16   1  131M 131M  130M S N  82.1 12.9   9:06   0
vmware-vmx


Actual Results:  "old priority" "new priority", but prioity was
changed from 5 to 16, nice value was changed from -10 to 1 (like
specified).

Expected Results:  "old nice value" "new nice value"

Comment 1 Tim Waugh 2003-11-17 18:37:15 UTC
Nothing to do with coreutils.

Comment 2 Elliot Lee 2003-12-17 19:43:43 UTC
The term 'priority' is used throughout the nice & renice man pages as
well. Although you're technically correct, the distinction between
priority and nice setting is arcane to most users, and they'll be
better served by continuing to have it called 'priority'.


Note You need to log in before you can comment on or make changes to this bug.